#
#   5B - Bomb
#

from albow.resource import get_image, get_sound
from part import Part

# Disabling sound for now due to possible pygame.mixer/sdl_mixer bug
enable_sound = True

class Bomb(Part):

	image_name = "parts/bomb.png"
	if enable_sound:
		sound = get_sound("explosion.ogg")
	image_border = 2
	terminal_points = [(45, 0), (45, 15)]
	boom_image = get_image("boom.png")
	is_rotatable = True

	exploded = False
	
	def reset(self):
		self.exploded = False

	def draw(self, surf, t):
		Part.draw(self, surf, t)
		if self.exploded:
			p = t * self.position
			img = self.boom_image
			r = img.get_rect()
			r.center = p.coords
			surf.blit(img, r)

	def begin_frame(self):
		#self.dump_node_states() ###
		if not self.exploded and self.power_across(0, 1):
			self.exploded = True
			if enable_sound:
				self.sound.play()

	def level_ended(self):
		return self.exploded
